# Interface FileTxnSnapLog.PlayBackListener

Enclosing class:
  `FileTxnSnapLog`

public static interface FileTxnSnapLog.PlayBackListener
This listener helps the external apis calling restore to gather information while the data is being restored.

## Method Summary

Modifier and Type
Method
Description
`void`
`onTxnLoaded(TxnHeader hdr, Record rec, TxnDigest digest)`

## Method Details

### onTxnLoaded

void onTxnLoaded(TxnHeader hdr, Record rec, TxnDigest digest)